KinoSearch1::Highlight::Encoder(3pm)

NAME
KinoSearch1::Highlight::Encoder - encode excerpted text

SYNOPSIS
    # abstract base class

DESCRIPTION
Encoder objects are invoked by Highlighter objects for every piece of text that makes it into an excerpt. The archetypal implementation is KinoSearch1::Highlight::SimpleHTMLEncoder.

METHODS

  encode
    my $encoded = $encoder->encode($text);

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.